# Uses of Interface
javax.xml.crypto.dsig.Transform

Packages that use Transform
Package
Description
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.
javax.xml.crypto.dsig.keyinfo
Classes for parsing and processing `KeyInfo` elements and structures.

## Uses of Transform in javax.xml.crypto.dsig

Subinterfaces of Transform in javax.xml.crypto.dsig
Modifier and Type
Interface
Description
`interface`
`CanonicalizationMethod`
A representation of the XML `CanonicalizationMethod` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing.
Classes in javax.xml.crypto.dsig that implement Transform
Modifier and Type
Class
Description
`class`
`TransformService`
A Service Provider Interface for transform and canonicalization algorithms.
Methods in javax.xml.crypto.dsig that return Transform
Modifier and Type
Method
Description
`abstract Transform`
XMLSignatureFactory.`newTransform​(String algorithm, TransformParameterSpec params)`
Creates a `Transform` for the specified algorithm URI and parameters.
`abstract Transform`
XMLSignatureFactory.`newTransform​(String algorithm, XMLStructure params)`
Creates a `Transform` for the specified algorithm URI and parameters.
Methods in javax.xml.crypto.dsig that return types with arguments of type Transform
Modifier and Type
Method
Description
`List<Transform>`
Reference.`getTransforms()`
Returns an `unmodifiable list` of `Transform`s that are contained in this `Reference`.
Method parameters in javax.xml.crypto.dsig with type arguments of type Transform
Modifier and Type
Method
Description
`abstract Reference`
XMLSignatureFactory.`newReference​(String uri, DigestMethod dm, List<? extends Transform> transforms, String type, String id)`
Creates a `Reference` with the specified parameters.
`abstract Reference`
XMLSignatureFactory.`newReference​(String uri, DigestMethod dm, List<? extends Transform> transforms, String type, String id, byte[] digestValue)`
Creates a `Reference` with the specified parameters and pre-calculated digest value.
`abstract Reference`
XMLSignatureFactory.`newReference​(String uri, DigestMethod dm, List<? extends Transform> appliedTransforms, Data result, List<? extends Transform> transforms, String type, String id)`
Creates a `Reference` with the specified parameters.

## Uses of Transform in javax.xml.crypto.dsig.keyinfo

Methods in javax.xml.crypto.dsig.keyinfo that return types with arguments of type Transform
Modifier and Type
Method
Description
`List<Transform>`
RetrievalMethod.`getTransforms()`
Returns an `unmodifiable list` of `Transform`s of this `RetrievalMethod`.
Method parameters in javax.xml.crypto.dsig.keyinfo with type arguments of type Transform
Modifier and Type
Method
Description
`abstract RetrievalMethod`
KeyInfoFactory.`newRetrievalMethod​(String uri, String type, List<? extends Transform> transforms)`
Creates a `RetrievalMethod` from the specified parameters.